package com.maileon.api.mailings.checks;

import java.io.Serializable;
import java.util.List;

/**
 * Result of Display check for single client
 */
public class DisplayCheckClientResult implements Serializable {

    private String clientCode;
    private String clientName;
    private String clientType;
    private boolean completed;
    private String result;
    private String resultThumbnail;
    private String resultNoImages;
    private String resultHorizontal;
    private String resultHorizontalNoImages;
    private List<DisplayCheckClientResult> variations;

    public String getClientCode() {
        return clientCode;
    }

    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public boolean isCompleted() {
        return completed;
    }

    public void setCompleted(boolean completed) {
        this.completed = completed;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getResultThumbnail() {
        return resultThumbnail;
    }

    public void setResultThumbnail(String resultThumbnail) {
        this.resultThumbnail = resultThumbnail;
    }

    public String getResultNoImages() {
        return resultNoImages;
    }

    public void setResultNoImages(String resultNoImages) {
        this.resultNoImages = resultNoImages;
    }

    public String getResultHorizontal() {
        return resultHorizontal;
    }

    public void setResultHorizontal(String resultHorizontal) {
        this.resultHorizontal = resultHorizontal;
    }

    public String getResultHorizontalNoImages() {
        return resultHorizontalNoImages;
    }

    public void setResultHorizontalNoImages(String resultHorizontalNoImages) {
        this.resultHorizontalNoImages = resultHorizontalNoImages;
    }

    public List<DisplayCheckClientResult> getVariations() {
        return variations;
    }

    public void setVariations(List<DisplayCheckClientResult> variations) {
        this.variations = variations;
    }

    @Override
    public String toString() {
        String s = "DisplayCheckClientResult{";
        if (clientCode != null) {
            s += "clientCode=" + clientCode + ", ";
        }
        s += "clientName=" + clientName + ", ";
        if (clientType != null) {
            s += "clientType=" + clientType + ", ";
        }
        if (result != null) {
            s += "result=" + result + ", ";
        }
        if (resultThumbnail != null) {
            s += "resultThumbnail=" + resultThumbnail + ", ";
        }
        if (resultNoImages != null) {
            s += "resultNoImages=" + resultNoImages + ", ";
        }
        if (resultHorizontal != null) {
            s += "resultHorizontal=" + resultHorizontal + ", ";
        }
        if (resultHorizontalNoImages != null) {
            s += "resultHorizontalNoImages=" + resultHorizontalNoImages + ", ";
        }
        if (variations != null && !variations.isEmpty()) {
            s += "resultThumbnail=" + variations;
        }
        s += '}';

        return s;
    }

}
