package com.maileon.api.targetgroups;

/**
 * This class represents the values of a contact filter
 *
 */

public class TargetGroup {

    protected long id;
    protected String name;
    protected String author;
    protected String state;
    protected String type;
    protected String contactFilterName;
    protected long contactFilterId;
    protected String evaluated;
    protected String created;
    protected String updated;
    protected int countActiveContacts;
    protected int countContacts;

    public TargetGroup() {}

    public TargetGroup(long id, String name, String author, String state, String type, String contactFilterName, long contactFilterId, String evaluated, String created, String updated, int countActiveContacts, int countContacts) {
        this.id = id;
        this.name = name;
        this.author = author;
        this.state = state;
        this.type = type;
        this.contactFilterName = contactFilterName;
        this.contactFilterId = contactFilterId;
        this.evaluated = evaluated;
        this.created = created;
        this.updated = updated;
        this.countActiveContacts = countActiveContacts;
        this.countContacts = countContacts;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getContactFilterName() {
        return contactFilterName;
    }

    public void setContactFilterName(String contactFilterName) {
        this.contactFilterName = contactFilterName;
    }

    public long getContactFilterId() {
        return contactFilterId;
    }

    public void setContactFilterId(long contactFilterId) {
        this.contactFilterId = contactFilterId;
    }

    public String getEvaluated() {
        return evaluated;
    }

    public void setEvaluated(String evaluated) {
        this.evaluated = evaluated;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getUpdated() {
        return updated;
    }

    public void setUpdated(String updated) {
        this.updated = updated;
    }

    public int getCountActiveContacts() {
        return countActiveContacts;
    }

    public void setCountActiveContacts(int countActiveContacts) {
        this.countActiveContacts = countActiveContacts;
    }

    public int getCountContacts() {
        return countContacts;
    }

    public void setCountContacts(int countContacts) {
        this.countContacts = countContacts;
    }

    @Override
	public String toString() {
		return "TargetGroup [" +
                "id=" + id +
                ", name=" + name +
                ", author=" + author +
                ", state=" + state +
                ", type=" + type +
                ", contactFilterName=" + contactFilterName +
                ", contactFilterId=" + contactFilterId +
                ", evaluated=" + evaluated +
                ", created=" + created +
                ", updated=" + updated +
                ", countActiveContacts=" + countActiveContacts +
                ", countContacts=" + countContacts +
                "]";
	}

}
