package com.maileon.api.transactions;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class TransactionType implements Serializable {

    private Long id;
    private Long created;
    private String name;
    private String description;
    private Integer archivingDuration = null;
    private boolean storeOnly = false;
    private List<Attribute> attributes = new ArrayList<>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreated() {
        return created;
    }

    public void setCreated(Long created) {
        this.created = created;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Attribute> getAttributes() {
        return attributes;
    }

    public void setAttributes(List<Attribute> attributes) {
        this.attributes = attributes;
    }

    public Integer getArchivingDuration() {
        return archivingDuration;
    }

    public void setArchivingDuration(Integer archivingDuration) {
        this.archivingDuration = archivingDuration;
    }

    public boolean isStoreOnly() {
        return storeOnly;
    }

    public void setStoreOnly(boolean storeOnly) {
        this.storeOnly = storeOnly;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return "TransactionType{" + id + ":" + name + ":" + archivingDuration + ":" + storeOnly + ":" + description + '}';
    }

}
