package com.maileon.api;

import javax.ws.rs.core.Response.StatusType;

/**
 * The Class MaileonAuthorizationException.
 *
 */
public class MaileonAuthorizationException extends MaileonException {

	/**
	 * Instantiates a new Maileon authorization exception.
	 *
	 * @param status the status
	 */
	public MaileonAuthorizationException(StatusType status) {
		super(status);
	}

	/**
	 * Instantiates a new Maileon authorization exception.
	 *
	 * @param status the status
	 * @param message the message
	 */
	public MaileonAuthorizationException(StatusType status, String message) {
		super(status, message);
	}
}
