/**
 * xqueue.com
 */
package com.maileon.api.account;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Oleksii Saukh
 * @since 03.07.2017
 */
@XmlRootElement(name="account_placeholders")
public class AccountPlaceholders implements Serializable {


    protected List<AccountPlaceholder> accountPlaceholder = new ArrayList<>();

    /**
     * @return the account placeholders
     */
    @XmlElement(name="account_placeholder")
    public List<AccountPlaceholder> getPlaceholders() {
        return accountPlaceholder;
    }

    /**
     * @param accountPlaceholder the account placeholders to set
     */
    public void setPlaceholders(List<AccountPlaceholder> accountPlaceholder) {
        this.accountPlaceholder = accountPlaceholder;
    }
}
