package com.maileon.api.mailings.checks;

import java.io.Serializable;
import java.util.List;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlType(propOrder = {"completed", "spam", "details"})
public class SpamCriterionlResult implements Serializable {

    private boolean completed;
    private Boolean spam;
    private List<String> details;

    @XmlElement
    public boolean isCompleted() {
        return completed;
    }

    public void setCompleted(boolean completed) {
        this.completed = completed;
    }

    @XmlElement
    public Boolean getSpam() {
        return spam;
    }

    public void setSpam(Boolean spam) {
        this.spam = spam;
    }

    @XmlElement
    public List<String> getDetails() {
        return details;
    }

    public void setDetails(List<String> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return "completed: " + completed + ", spam: " + spam + ", details " + details;
    }

}
